Check whether the current element of the inner iterator has children

- « RecursiveCachingIterator::getChildren

- RecursiveCallbackFilterIterator »

- PHP Manual
- RecursiveCachingIterator
- Check whether the current element of the inner iterator has children

# RecursiveCachingIterator::hasChildren

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

RecursiveCachingIterator::hasChildren — Check whether the current element of the inner iterator has children

### Description

public RecursiveCachingIterator::hasChildren(): bool
Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

`true` if the inner iterator has children, otherwise `false`